clang 10.0.0git

Public Attributes | List of all members
CXIdxObjCCategoryDeclInfo Struct Reference
libclang: C Interface to Clang » Higher level API functions

`#include "clang-c/Index.h"`

Collaboration diagram for CXIdxObjCCategoryDeclInfo:
[legend]

## Public Attributes
const CXIdxObjCContainerDeclInfo * | containerInfo
const CXIdxEntityInfo * | objcClass
CXCursor | classCursor
CXIdxLoc | classLoc
const CXIdxObjCProtocolRefListInfo * | protocols

## Detailed Description

Definition at line 6384 of file Index.h.

## Member Data Documentation

## ◆ classCursor

CXCursor CXIdxObjCCategoryDeclInfo::classCursor

Definition at line 6387 of file Index.h.

## ◆ classLoc

CXIdxLoc CXIdxObjCCategoryDeclInfo::classLoc

Definition at line 6388 of file Index.h.

## ◆ containerInfo

const CXIdxObjCContainerDeclInfo* CXIdxObjCCategoryDeclInfo::containerInfo

Definition at line 6385 of file Index.h.

## ◆ objcClass

const CXIdxEntityInfo* CXIdxObjCCategoryDeclInfo::objcClass

Definition at line 6386 of file Index.h.

## ◆ protocols

const CXIdxObjCProtocolRefListInfo* CXIdxObjCCategoryDeclInfo::protocols

Definition at line 6389 of file Index.h.

The documentation for this struct was generated from the following file:

- include/clang-c/Index.h